/***************************************************************************
*** Name of the Header:	global.h 																			
*** Function: 				Andies global definitions													*/					
/** \defgroup 				global Global project definitions																		
*** \brief 					Global project definitions							
*** \author             	Andreas Hesse 
*** @date 					Date of construction: 	2004-02-19
*** @date 					Date of last revision: 	2004-02-25
*** \version 				1.1
*** @note 
*** This file is intendet to be the global header file for C-Projects
******************************************************************************
***
*** - + = Adding new feature
*** - - = Bugfix
*** - * = Changed
*** - ? = detected problem
***
******************************************************************************
***
*** @par Version management:
*** -# V 1.1  2004-02-25 HE  Added doxygen format
*** -# V 1.0  2004-02-19 HE  First construction based on several assembler sources 
*** */


#ifndef GLOBAL_H
	#define GLOBAL_H
	
/*@{*/
	#include <avr/io.h>

/** 
@brief maximal 16Bit-Integervalue (signed) 
*/	
	#define MAX_U16  65535
/** 
@brief maximal 16Bit-Integervalue (like MAXINT in PASCAL-world) 
*/	
	#define MAX_S16  32767

// typedef unsigned char  u08;
//	typedef          char  s08;
//	typedef unsigned short u16;
//	typedef          short s16;
	
/** 
@brief address of data direction register of port x 
*/	

	#define PIN(x) (*(&x - 2)) 
	
	/** 
@brief address of input register of port x
*/	
	#define DDR(x) (*(&x - 1))  
	
/** 
@brief Logical variable true
*/	
	#define	TRUE	1
/** 
@brief Logical variable false
*/	
	#define	FALSE	0

/** 
 @brief Clockfrequency useful for any automatic calculation
*/	 
	#define	CLOCKFREQ  6144000   
 /*@}*/  

#endif
